import React from 'react';
import PropTypes from 'prop-types';
import { StyleSheet } from 'react-native';
import View from 'react-native-web-ui-components/View';
import Row from 'react-native-web-ui-components/Row';
import { Helmet, style } from 'react-native-web-ui-components/Helmet';
const styles = StyleSheet.create({
  progress: {
    position: 'absolute',
    top: 29,
    left: 0,
    width: '100%'
  },
  full: {
    height: 2
  },
  empty: {
    height: 2,
    backgroundColor: '#C8C8C8'
  }
});

const ProgressHandle = ({
  meta,
  theme
}) => React.createElement(React.Fragment, null, React.createElement(Helmet, null, React.createElement("style", null, `
          .FileWidget__progress {
            transition: width 0.5s;
          }
        `)), meta['ui:progress'] !== undefined && meta['ui:progress'] < 100 ? React.createElement(Row, {
  style: styles.progress
}, React.createElement(View, {
  className: "FileWidget__progress",
  style: [styles.full, {
    width: `${meta['ui:progress']}%`,
    backgroundColor: StyleSheet.flatten(theme.input.regular.selected).color
  }]
}), React.createElement(View, {
  className: "FileWidget__progress",
  style: [styles.empty, {
    width: `${100 - meta['ui:progress']}%`
  }]
})) : null);

ProgressHandle.propTypes = {
  theme: PropTypes.shape().isRequired,
  meta: PropTypes.shape().isRequired
};
export default ProgressHandle;